Back to top

API Documentation

< Back

Kuali Research REST APIs - Common

Research Common

Answer Headers

Get Answer Headers by Key
GET/research-common/api/v1/answer-headers/(key)

Example URI

GET /research-common/api/v1/answer-headers/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "completed": "(val)",
  "id": "(val)",
  "moduleItemCode": "(val)",
  "moduleItemKey": "(val)",
  "moduleSubItemCode": "(val)",
  "moduleSubItemKey": "(val)",
  "questionnaireId": "(val)",
  "_primaryKey": "(val)"
}

Get All Answer Headers
GET/research-common/api/v1/answer-headers/

Example URI

GET /research-common/api/v1/answer-headers/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "completed": "(val)",
    "id": "(val)",
    "moduleItemCode": "(val)",
    "moduleItemKey": "(val)",
    "moduleSubItemCode": "(val)",
    "moduleSubItemKey": "(val)",
    "questionnaireId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "completed": "(val)",
    "id": "(val)",
    "moduleItemCode": "(val)",
    "moduleItemKey": "(val)",
    "moduleSubItemCode": "(val)",
    "moduleSubItemKey": "(val)",
    "questionnaireId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Answer Headers with Filtering
GET/research-common/api/v1/answer-headers/

Example URI

GET /research-common/api/v1/answer-headers/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

completed
string (optional) 
id
string (optional) 
moduleItemCode
string (optional) 
moduleItemKey
string (optional) 
moduleSubItemCode
string (optional) 
moduleSubItemKey
string (optional) 
questionnaireId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "completed": "(val)",
    "id": "(val)",
    "moduleItemCode": "(val)",
    "moduleItemKey": "(val)",
    "moduleSubItemCode": "(val)",
    "moduleSubItemKey": "(val)",
    "questionnaireId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "completed": "(val)",
    "id": "(val)",
    "moduleItemCode": "(val)",
    "moduleItemKey": "(val)",
    "moduleSubItemCode": "(val)",
    "moduleSubItemKey": "(val)",
    "questionnaireId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Answer Headers
GET/research-common/api/v1/answer-headers/

Example URI

GET /research-common/api/v1/answer-headers/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "completed",
    "id",
    "moduleItemCode",
    "moduleItemKey",
    "moduleSubItemCode",
    "moduleSubItemKey",
    "questionnaireId"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Answer Headers
GET/research-common/api/v1/answer-headers/

Example URI

GET /research-common/api/v1/answer-headers/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Answer Headers.md"
transfer-encoding: chunked

Update Answer Headers
PUT/research-common/api/v1/answer-headers/(key)

Example URI

PUT /research-common/api/v1/answer-headers/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "completed": "(val)",
  "id": "(val)",
  "moduleItemCode": "(val)",
  "moduleItemKey": "(val)",
  "moduleSubItemCode": "(val)",
  "moduleSubItemKey": "(val)",
  "questionnaireId": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Answer Headers
PUT/research-common/api/v1/answer-headers/

Example URI

PUT /research-common/api/v1/answer-headers/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "completed": "(val)",
    "id": "(val)",
    "moduleItemCode": "(val)",
    "moduleItemKey": "(val)",
    "moduleSubItemCode": "(val)",
    "moduleSubItemKey": "(val)",
    "questionnaireId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "completed": "(val)",
    "id": "(val)",
    "moduleItemCode": "(val)",
    "moduleItemKey": "(val)",
    "moduleSubItemCode": "(val)",
    "moduleSubItemKey": "(val)",
    "questionnaireId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Answer Headers
PATCH/research-common/api/v1/answer-headers/(key)

Example URI

PATCH /research-common/api/v1/answer-headers/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "completed": "(val)",
  "id": "(val)",
  "moduleItemCode": "(val)",
  "moduleItemKey": "(val)",
  "moduleSubItemCode": "(val)",
  "moduleSubItemKey": "(val)",
  "questionnaireId": "(val)",
  "_primaryKey": "(val)"
}

Insert Answer Headers
POST/research-common/api/v1/answer-headers/

Example URI

POST /research-common/api/v1/answer-headers/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "completed": "(val)",
  "id": "(val)",
  "moduleItemCode": "(val)",
  "moduleItemKey": "(val)",
  "moduleSubItemCode": "(val)",
  "moduleSubItemKey": "(val)",
  "questionnaireId": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Answer Headers
POST/research-common/api/v1/answer-headers/

Example URI

POST /research-common/api/v1/answer-headers/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "completed": "(val)",
    "id": "(val)",
    "moduleItemCode": "(val)",
    "moduleItemKey": "(val)",
    "moduleSubItemCode": "(val)",
    "moduleSubItemKey": "(val)",
    "questionnaireId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "completed": "(val)",
    "id": "(val)",
    "moduleItemCode": "(val)",
    "moduleItemKey": "(val)",
    "moduleSubItemCode": "(val)",
    "moduleSubItemKey": "(val)",
    "questionnaireId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "completed": "(val)",
    "id": "(val)",
    "moduleItemCode": "(val)",
    "moduleItemKey": "(val)",
    "moduleSubItemCode": "(val)",
    "moduleSubItemKey": "(val)",
    "questionnaireId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "completed": "(val)",
    "id": "(val)",
    "moduleItemCode": "(val)",
    "moduleItemKey": "(val)",
    "moduleSubItemCode": "(val)",
    "moduleSubItemKey": "(val)",
    "questionnaireId": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Answer Headers by Key
DELETE/research-common/api/v1/answer-headers/(key)

Example URI

DELETE /research-common/api/v1/answer-headers/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Answer Headers
DELETE/research-common/api/v1/answer-headers/

Example URI

DELETE /research-common/api/v1/answer-headers/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Answer Headers with Matching
DELETE/research-common/api/v1/answer-headers/

Example URI

DELETE /research-common/api/v1/answer-headers/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

completed
string (optional) 
id
string (optional) 
moduleItemCode
string (optional) 
moduleItemKey
string (optional) 
moduleSubItemCode
string (optional) 
moduleSubItemKey
string (optional) 
questionnaireId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Account Types

Get Account Types by Key
GET/research-common/api/v1/account-types/(key)

Example URI

GET /research-common/api/v1/account-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "accountTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Get All Account Types
GET/research-common/api/v1/account-types/

Example URI

GET /research-common/api/v1/account-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "accountTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "accountTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Account Types with Filtering
GET/research-common/api/v1/account-types/

Example URI

GET /research-common/api/v1/account-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

accountTypeCode
string (optional) 

Account Type Code. Maximum length is 22. Validating pattern is ^[0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "accountTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "accountTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Account Types
GET/research-common/api/v1/account-types/

Example URI

GET /research-common/api/v1/account-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "accountTypeCode",
    "description"
  ],
  "primaryKey": "accountTypeCode"
}

Get Blueprint API specification for Account Types
GET/research-common/api/v1/account-types/

Example URI

GET /research-common/api/v1/account-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Account Types.md"
transfer-encoding: chunked

Update Account Types
PUT/research-common/api/v1/account-types/(key)

Example URI

PUT /research-common/api/v1/account-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "accountTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Account Types
PUT/research-common/api/v1/account-types/

Example URI

PUT /research-common/api/v1/account-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "accountTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "accountTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Account Types
PATCH/research-common/api/v1/account-types/(key)

Example URI

PATCH /research-common/api/v1/account-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "accountTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Account Types
POST/research-common/api/v1/account-types/

Example URI

POST /research-common/api/v1/account-types/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "accountTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Account Types
POST/research-common/api/v1/account-types/

Example URI

POST /research-common/api/v1/account-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "accountTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "accountTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "accountTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "accountTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Account Types by Key
DELETE/research-common/api/v1/account-types/(key)

Example URI

DELETE /research-common/api/v1/account-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Account Types
DELETE/research-common/api/v1/account-types/

Example URI

DELETE /research-common/api/v1/account-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Account Types with Matching
DELETE/research-common/api/v1/account-types/

Example URI

DELETE /research-common/api/v1/account-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

accountTypeCode
string (optional) 

Account Type Code. Maximum length is 22. Validating pattern is ^[0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Activity Types

Get Activity Types by Key
GET/research-common/api/v1/activity-types/(key)

Example URI

GET /research-common/api/v1/activity-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "code": "(val)",
  "description": "(val)",
  "higherEducationFunctionCode": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Get All Activity Types
GET/research-common/api/v1/activity-types/

Example URI

GET /research-common/api/v1/activity-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "code": "(val)",
    "description": "(val)",
    "higherEducationFunctionCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "description": "(val)",
    "higherEducationFunctionCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Activity Types with Filtering
GET/research-common/api/v1/activity-types/

Example URI

GET /research-common/api/v1/activity-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

code
string (optional) 

Activity Type. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

higherEducationFunctionCode
string (optional) 

Higher education function code. Maximum length is 20. Validating pattern is ^[\p{Graph}\p{Space}]*$.

active
string (optional) 

Active. Maximum length is 1. Validating pattern is .*.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "code": "(val)",
    "description": "(val)",
    "higherEducationFunctionCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "description": "(val)",
    "higherEducationFunctionCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Activity Types
GET/research-common/api/v1/activity-types/

Example URI

GET /research-common/api/v1/activity-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "code",
    "description",
    "higherEducationFunctionCode",
    "active"
  ],
  "primaryKey": "code"
}

Get Blueprint API specification for Activity Types
GET/research-common/api/v1/activity-types/

Example URI

GET /research-common/api/v1/activity-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Activity Types.md"
transfer-encoding: chunked

Update Activity Types
PUT/research-common/api/v1/activity-types/(key)

Example URI

PUT /research-common/api/v1/activity-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "code": "(val)",
  "description": "(val)",
  "higherEducationFunctionCode": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Activity Types
PUT/research-common/api/v1/activity-types/

Example URI

PUT /research-common/api/v1/activity-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "code": "(val)",
    "description": "(val)",
    "higherEducationFunctionCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "description": "(val)",
    "higherEducationFunctionCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Activity Types
PATCH/research-common/api/v1/activity-types/(key)

Example URI

PATCH /research-common/api/v1/activity-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "code": "(val)",
  "description": "(val)",
  "higherEducationFunctionCode": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Activity Types
POST/research-common/api/v1/activity-types/

Example URI

POST /research-common/api/v1/activity-types/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "code": "(val)",
  "description": "(val)",
  "higherEducationFunctionCode": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Activity Types
POST/research-common/api/v1/activity-types/

Example URI

POST /research-common/api/v1/activity-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "code": "(val)",
    "description": "(val)",
    "higherEducationFunctionCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "description": "(val)",
    "higherEducationFunctionCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "code": "(val)",
    "description": "(val)",
    "higherEducationFunctionCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "description": "(val)",
    "higherEducationFunctionCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Activity Types by Key
DELETE/research-common/api/v1/activity-types/(key)

Example URI

DELETE /research-common/api/v1/activity-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Activity Types
DELETE/research-common/api/v1/activity-types/

Example URI

DELETE /research-common/api/v1/activity-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Activity Types with Matching
DELETE/research-common/api/v1/activity-types/

Example URI

DELETE /research-common/api/v1/activity-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

code
string (optional) 

Activity Type. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

higherEducationFunctionCode
string (optional) 

Higher education function code. Maximum length is 20. Validating pattern is ^[\p{Graph}\p{Space}]*$.

active
string (optional) 

Active. Maximum length is 1. Validating pattern is .*.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Answers

Get Answers by Key
GET/research-common/api/v1/answers/(key)

Example URI

GET /research-common/api/v1/answers/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "answer": "(val)",
  "answerHeaderId": "(val)",
  "answerNumber": "(val)",
  "id": "(val)",
  "questionId": "(val)",
  "questionNumber": "(val)",
  "questionnaireQuestionsId": "(val)",
  "_primaryKey": "(val)"
}

Get All Answers
GET/research-common/api/v1/answers/

Example URI

GET /research-common/api/v1/answers/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "answer": "(val)",
    "answerHeaderId": "(val)",
    "answerNumber": "(val)",
    "id": "(val)",
    "questionId": "(val)",
    "questionNumber": "(val)",
    "questionnaireQuestionsId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "answer": "(val)",
    "answerHeaderId": "(val)",
    "answerNumber": "(val)",
    "id": "(val)",
    "questionId": "(val)",
    "questionNumber": "(val)",
    "questionnaireQuestionsId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Answers with Filtering
GET/research-common/api/v1/answers/

Example URI

GET /research-common/api/v1/answers/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

answer
string (optional) 
answerHeaderId
string (optional) 
answerNumber
string (optional) 
id
string (optional) 
questionId
string (optional) 
questionNumber
string (optional) 
questionnaireQuestionsId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "answer": "(val)",
    "answerHeaderId": "(val)",
    "answerNumber": "(val)",
    "id": "(val)",
    "questionId": "(val)",
    "questionNumber": "(val)",
    "questionnaireQuestionsId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "answer": "(val)",
    "answerHeaderId": "(val)",
    "answerNumber": "(val)",
    "id": "(val)",
    "questionId": "(val)",
    "questionNumber": "(val)",
    "questionnaireQuestionsId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Answers
GET/research-common/api/v1/answers/

Example URI

GET /research-common/api/v1/answers/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "answer",
    "answerHeaderId",
    "answerNumber",
    "id",
    "questionId",
    "questionNumber",
    "questionnaireQuestionsId"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Answers
GET/research-common/api/v1/answers/

Example URI

GET /research-common/api/v1/answers/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Answers.md"
transfer-encoding: chunked

Update Answers
PUT/research-common/api/v1/answers/(key)

Example URI

PUT /research-common/api/v1/answers/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "answer": "(val)",
  "answerHeaderId": "(val)",
  "answerNumber": "(val)",
  "id": "(val)",
  "questionId": "(val)",
  "questionNumber": "(val)",
  "questionnaireQuestionsId": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Answers
PUT/research-common/api/v1/answers/

Example URI

PUT /research-common/api/v1/answers/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "answer": "(val)",
    "answerHeaderId": "(val)",
    "answerNumber": "(val)",
    "id": "(val)",
    "questionId": "(val)",
    "questionNumber": "(val)",
    "questionnaireQuestionsId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "answer": "(val)",
    "answerHeaderId": "(val)",
    "answerNumber": "(val)",
    "id": "(val)",
    "questionId": "(val)",
    "questionNumber": "(val)",
    "questionnaireQuestionsId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Answers
PATCH/research-common/api/v1/answers/(key)

Example URI

PATCH /research-common/api/v1/answers/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "answer": "(val)",
  "answerHeaderId": "(val)",
  "answerNumber": "(val)",
  "id": "(val)",
  "questionId": "(val)",
  "questionNumber": "(val)",
  "questionnaireQuestionsId": "(val)",
  "_primaryKey": "(val)"
}

Insert Answers
POST/research-common/api/v1/answers/

Example URI

POST /research-common/api/v1/answers/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "answer": "(val)",
  "answerHeaderId": "(val)",
  "answerNumber": "(val)",
  "id": "(val)",
  "questionId": "(val)",
  "questionNumber": "(val)",
  "questionnaireQuestionsId": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Answers
POST/research-common/api/v1/answers/

Example URI

POST /research-common/api/v1/answers/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "answer": "(val)",
    "answerHeaderId": "(val)",
    "answerNumber": "(val)",
    "id": "(val)",
    "questionId": "(val)",
    "questionNumber": "(val)",
    "questionnaireQuestionsId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "answer": "(val)",
    "answerHeaderId": "(val)",
    "answerNumber": "(val)",
    "id": "(val)",
    "questionId": "(val)",
    "questionNumber": "(val)",
    "questionnaireQuestionsId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "answer": "(val)",
    "answerHeaderId": "(val)",
    "answerNumber": "(val)",
    "id": "(val)",
    "questionId": "(val)",
    "questionNumber": "(val)",
    "questionnaireQuestionsId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "answer": "(val)",
    "answerHeaderId": "(val)",
    "answerNumber": "(val)",
    "id": "(val)",
    "questionId": "(val)",
    "questionNumber": "(val)",
    "questionnaireQuestionsId": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Answers by Key
DELETE/research-common/api/v1/answers/(key)

Example URI

DELETE /research-common/api/v1/answers/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Answers
DELETE/research-common/api/v1/answers/

Example URI

DELETE /research-common/api/v1/answers/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Answers with Matching
DELETE/research-common/api/v1/answers/

Example URI

DELETE /research-common/api/v1/answers/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

answer
string (optional) 
answerHeaderId
string (optional) 
answerNumber
string (optional) 
id
string (optional) 
questionId
string (optional) 
questionNumber
string (optional) 
questionnaireQuestionsId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Appointment Types

Get Appointment Types by Key
GET/research-common/api/v1/appointment-types/(key)

Example URI

GET /research-common/api/v1/appointment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "appointmentTypeCode": "(val)",
  "duration": "(val)",
  "description": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "budgetPeriodTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Get All Appointment Types
GET/research-common/api/v1/appointment-types/

Example URI

GET /research-common/api/v1/appointment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "appointmentTypeCode": "(val)",
    "duration": "(val)",
    "description": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "budgetPeriodTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "appointmentTypeCode": "(val)",
    "duration": "(val)",
    "description": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "budgetPeriodTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Appointment Types with Filtering
GET/research-common/api/v1/appointment-types/

Example URI

GET /research-common/api/v1/appointment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

appointmentTypeCode
string (optional) 

Appointment Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

duration
string (optional) 

Duration. Maximum length is 8. Validating pattern is ^([0-9]{0,4}.[0-9]{1,2}|[0-9]{1,4})$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

startDate
string (optional) 

Month and day that this appointment type begins. Maximum length is 5. Validating pattern is .*.

endDate
string (optional) 

Month and day that this appointment type ends. Maximum length is 5. Validating pattern is .*.

budgetPeriodTypeCode
string (optional) 

Budget Period Type. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "appointmentTypeCode": "(val)",
    "duration": "(val)",
    "description": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "budgetPeriodTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "appointmentTypeCode": "(val)",
    "duration": "(val)",
    "description": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "budgetPeriodTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Appointment Types
GET/research-common/api/v1/appointment-types/

Example URI

GET /research-common/api/v1/appointment-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "appointmentTypeCode",
    "duration",
    "description",
    "startDate",
    "endDate",
    "budgetPeriodTypeCode"
  ],
  "primaryKey": "appointmentTypeCode"
}

Get Blueprint API specification for Appointment Types
GET/research-common/api/v1/appointment-types/

Example URI

GET /research-common/api/v1/appointment-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Appointment Types.md"
transfer-encoding: chunked

Update Appointment Types
PUT/research-common/api/v1/appointment-types/(key)

Example URI

PUT /research-common/api/v1/appointment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "appointmentTypeCode": "(val)",
  "duration": "(val)",
  "description": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "budgetPeriodTypeCode": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Appointment Types
PUT/research-common/api/v1/appointment-types/

Example URI

PUT /research-common/api/v1/appointment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "appointmentTypeCode": "(val)",
    "duration": "(val)",
    "description": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "budgetPeriodTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "appointmentTypeCode": "(val)",
    "duration": "(val)",
    "description": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "budgetPeriodTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Appointment Types
PATCH/research-common/api/v1/appointment-types/(key)

Example URI

PATCH /research-common/api/v1/appointment-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "appointmentTypeCode": "(val)",
  "duration": "(val)",
  "description": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "budgetPeriodTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Appointment Types
POST/research-common/api/v1/appointment-types/

Example URI

POST /research-common/api/v1/appointment-types/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "appointmentTypeCode": "(val)",
  "duration": "(val)",
  "description": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "budgetPeriodTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Appointment Types
POST/research-common/api/v1/appointment-types/

Example URI

POST /research-common/api/v1/appointment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "appointmentTypeCode": "(val)",
    "duration": "(val)",
    "description": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "budgetPeriodTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "appointmentTypeCode": "(val)",
    "duration": "(val)",
    "description": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "budgetPeriodTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "appointmentTypeCode": "(val)",
    "duration": "(val)",
    "description": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "budgetPeriodTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "appointmentTypeCode": "(val)",
    "duration": "(val)",
    "description": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "budgetPeriodTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Appointment Types by Key
DELETE/research-common/api/v1/appointment-types/(key)

Example URI

DELETE /research-common/api/v1/appointment-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Appointment Types
DELETE/research-common/api/v1/appointment-types/

Example URI

DELETE /research-common/api/v1/appointment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Appointment Types with Matching
DELETE/research-common/api/v1/appointment-types/

Example URI

DELETE /research-common/api/v1/appointment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

appointmentTypeCode
string (optional) 

Appointment Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

duration
string (optional) 

Duration. Maximum length is 8. Validating pattern is ^([0-9]{0,4}.[0-9]{1,2}|[0-9]{1,4})$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

startDate
string (optional) 

Month and day that this appointment type begins. Maximum length is 5. Validating pattern is .*.

endDate
string (optional) 

Month and day that this appointment type ends. Maximum length is 5. Validating pattern is .*.

budgetPeriodTypeCode
string (optional) 

Budget Period Type. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Arg Value Lookups

Get Arg Value Lookups by Key
GET/research-common/api/v1/arg-value-lookups/(key)

Example URI

GET /research-common/api/v1/arg-value-lookups/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "active": "(val)",
  "argumentName": "(val)",
  "description": "(val)",
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}

Get All Arg Value Lookups
GET/research-common/api/v1/arg-value-lookups/

Example URI

GET /research-common/api/v1/arg-value-lookups/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "active": "(val)",
    "argumentName": "(val)",
    "description": "(val)",
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "active": "(val)",
    "argumentName": "(val)",
    "description": "(val)",
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Arg Value Lookups with Filtering
GET/research-common/api/v1/arg-value-lookups/

Example URI

GET /research-common/api/v1/arg-value-lookups/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

active
string (optional) 

Active. Maximum length is 1. Validating pattern is .*.

argumentName
string (optional) 

Argument Name. Maximum length is 30. Validating pattern is ^[\p{Graph}]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

id
string (optional) 

Arg Value Lookup Id. Maximum length is 12. Validating pattern is ^[0-9]*$.

value
string (optional) 

Value. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "active": "(val)",
    "argumentName": "(val)",
    "description": "(val)",
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "active": "(val)",
    "argumentName": "(val)",
    "description": "(val)",
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Arg Value Lookups
GET/research-common/api/v1/arg-value-lookups/

Example URI

GET /research-common/api/v1/arg-value-lookups/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "active",
    "argumentName",
    "description",
    "id",
    "value"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Arg Value Lookups
GET/research-common/api/v1/arg-value-lookups/

Example URI

GET /research-common/api/v1/arg-value-lookups/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Arg Value Lookups.md"
transfer-encoding: chunked

Update Arg Value Lookups
PUT/research-common/api/v1/arg-value-lookups/(key)

Example URI

PUT /research-common/api/v1/arg-value-lookups/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "active": "(val)",
  "argumentName": "(val)",
  "description": "(val)",
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Arg Value Lookups
PUT/research-common/api/v1/arg-value-lookups/

Example URI

PUT /research-common/api/v1/arg-value-lookups/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "active": "(val)",
    "argumentName": "(val)",
    "description": "(val)",
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "active": "(val)",
    "argumentName": "(val)",
    "description": "(val)",
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Arg Value Lookups
PATCH/research-common/api/v1/arg-value-lookups/(key)

Example URI

PATCH /research-common/api/v1/arg-value-lookups/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "active": "(val)",
  "argumentName": "(val)",
  "description": "(val)",
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}

Insert Arg Value Lookups
POST/research-common/api/v1/arg-value-lookups/

Example URI

POST /research-common/api/v1/arg-value-lookups/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "active": "(val)",
  "argumentName": "(val)",
  "description": "(val)",
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Arg Value Lookups
POST/research-common/api/v1/arg-value-lookups/

Example URI

POST /research-common/api/v1/arg-value-lookups/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "active": "(val)",
    "argumentName": "(val)",
    "description": "(val)",
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "active": "(val)",
    "argumentName": "(val)",
    "description": "(val)",
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "active": "(val)",
    "argumentName": "(val)",
    "description": "(val)",
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "active": "(val)",
    "argumentName": "(val)",
    "description": "(val)",
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Arg Value Lookups by Key
DELETE/research-common/api/v1/arg-value-lookups/(key)

Example URI

DELETE /research-common/api/v1/arg-value-lookups/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Arg Value Lookups
DELETE/research-common/api/v1/arg-value-lookups/

Example URI

DELETE /research-common/api/v1/arg-value-lookups/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Arg Value Lookups with Matching
DELETE/research-common/api/v1/arg-value-lookups/

Example URI

DELETE /research-common/api/v1/arg-value-lookups/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

active
string (optional) 

Active. Maximum length is 1. Validating pattern is .*.

argumentName
string (optional) 

Argument Name. Maximum length is 30. Validating pattern is ^[\p{Graph}]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

id
string (optional) 

Arg Value Lookup Id. Maximum length is 12. Validating pattern is ^[0-9]*$.

value
string (optional) 

Value. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Attachment Files

Get Attachment Files by Key
GET/research-common/api/v1/attachment-files/(key)

Example URI

GET /research-common/api/v1/attachment-files/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "data": "(val)",
  "fileDataId": "(val)",
  "id": "(val)",
  "name": "(val)",
  "sequenceNumber": "(val)",
  "type": "(val)",
  "_primaryKey": "(val)"
}

Get All Attachment Files
GET/research-common/api/v1/attachment-files/

Example URI

GET /research-common/api/v1/attachment-files/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "data": "(val)",
    "fileDataId": "(val)",
    "id": "(val)",
    "name": "(val)",
    "sequenceNumber": "(val)",
    "type": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "data": "(val)",
    "fileDataId": "(val)",
    "id": "(val)",
    "name": "(val)",
    "sequenceNumber": "(val)",
    "type": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Attachment Files with Filtering
GET/research-common/api/v1/attachment-files/

Example URI

GET /research-common/api/v1/attachment-files/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

data
string (optional) 
fileDataId
string (optional) 
id
string (optional) 

Id. Maximum length is 36. Validating pattern is ^[\p{Graph}]*$.

name
string (optional) 

File Name. Maximum length is 150. Validating pattern is ^[\u0000-\uFFFF]*$.

sequenceNumber
string (optional) 
type
string (optional) 

Type. Maximum length is 250. Validating pattern is ^[\p{Graph}\p{Space}]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "data": "(val)",
    "fileDataId": "(val)",
    "id": "(val)",
    "name": "(val)",
    "sequenceNumber": "(val)",
    "type": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "data": "(val)",
    "fileDataId": "(val)",
    "id": "(val)",
    "name": "(val)",
    "sequenceNumber": "(val)",
    "type": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Attachment Files
GET/research-common/api/v1/attachment-files/

Example URI

GET /research-common/api/v1/attachment-files/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "data",
    "fileDataId",
    "id",
    "name",
    "sequenceNumber",
    "type"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Attachment Files
GET/research-common/api/v1/attachment-files/

Example URI

GET /research-common/api/v1/attachment-files/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Attachment Files.md"
transfer-encoding: chunked

Update Attachment Files
PUT/research-common/api/v1/attachment-files/(key)

Example URI

PUT /research-common/api/v1/attachment-files/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "data": "(val)",
  "fileDataId": "(val)",
  "id": "(val)",
  "name": "(val)",
  "sequenceNumber": "(val)",
  "type": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Attachment Files
PUT/research-common/api/v1/attachment-files/

Example URI

PUT /research-common/api/v1/attachment-files/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "data": "(val)",
    "fileDataId": "(val)",
    "id": "(val)",
    "name": "(val)",
    "sequenceNumber": "(val)",
    "type": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "data": "(val)",
    "fileDataId": "(val)",
    "id": "(val)",
    "name": "(val)",
    "sequenceNumber": "(val)",
    "type": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Attachment Files
PATCH/research-common/api/v1/attachment-files/(key)

Example URI

PATCH /research-common/api/v1/attachment-files/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "data": "(val)",
  "fileDataId": "(val)",
  "id": "(val)",
  "name": "(val)",
  "sequenceNumber": "(val)",
  "type": "(val)",
  "_primaryKey": "(val)"
}

Insert Attachment Files
POST/research-common/api/v1/attachment-files/

Example URI

POST /research-common/api/v1/attachment-files/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "data": "(val)",
  "fileDataId": "(val)",
  "id": "(val)",
  "name": "(val)",
  "sequenceNumber": "(val)",
  "type": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Attachment Files
POST/research-common/api/v1/attachment-files/

Example URI

POST /research-common/api/v1/attachment-files/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "data": "(val)",
    "fileDataId": "(val)",
    "id": "(val)",
    "name": "(val)",
    "sequenceNumber": "(val)",
    "type": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "data": "(val)",
    "fileDataId": "(val)",
    "id": "(val)",
    "name": "(val)",
    "sequenceNumber": "(val)",
    "type": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "data": "(val)",
    "fileDataId": "(val)",
    "id": "(val)",
    "name": "(val)",
    "sequenceNumber": "(val)",
    "type": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "data": "(val)",
    "fileDataId": "(val)",
    "id": "(val)",
    "name": "(val)",
    "sequenceNumber": "(val)",
    "type": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Attachment Files by Key
DELETE/research-common/api/v1/attachment-files/(key)

Example URI

DELETE /research-common/api/v1/attachment-files/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Attachment Files
DELETE/research-common/api/v1/attachment-files/

Example URI

DELETE /research-common/api/v1/attachment-files/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Attachment Files with Matching
DELETE/research-common/api/v1/attachment-files/

Example URI

DELETE /research-common/api/v1/attachment-files/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

data
string (optional) 
fileDataId
string (optional) 
id
string (optional) 

Id. Maximum length is 36. Validating pattern is ^[\p{Graph}]*$.

name
string (optional) 

File Name. Maximum length is 150. Validating pattern is ^[\u0000-\uFFFF]*$.

sequenceNumber
string (optional) 
type
string (optional) 

Type. Maximum length is 250. Validating pattern is ^[\p{Graph}\p{Space}]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Budget Categories

Get Budget Categories by Key
GET/research-common/api/v1/budget-categories/(key)

Example URI

GET /research-common/api/v1/budget-categories/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "budgetCategoryTypeCode": "(val)",
  "code": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Get All Budget Categories
GET/research-common/api/v1/budget-categories/

Example URI

GET /research-common/api/v1/budget-categories/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "budgetCategoryTypeCode": "(val)",
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetCategoryTypeCode": "(val)",
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Budget Categories with Filtering
GET/research-common/api/v1/budget-categories/

Example URI

GET /research-common/api/v1/budget-categories/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

budgetCategoryTypeCode
string (optional) 

Category Type. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

code
string (optional) 

Budget Category Code. Maximum length is 3. Validating pattern is ^[0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "budgetCategoryTypeCode": "(val)",
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetCategoryTypeCode": "(val)",
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Budget Categories
GET/research-common/api/v1/budget-categories/

Example URI

GET /research-common/api/v1/budget-categories/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "budgetCategoryTypeCode",
    "code",
    "description"
  ],
  "primaryKey": "code"
}

Get Blueprint API specification for Budget Categories
GET/research-common/api/v1/budget-categories/

Example URI

GET /research-common/api/v1/budget-categories/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Categories.md"
transfer-encoding: chunked

Update Budget Categories
PUT/research-common/api/v1/budget-categories/(key)

Example URI

PUT /research-common/api/v1/budget-categories/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "budgetCategoryTypeCode": "(val)",
  "code": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Budget Categories
PUT/research-common/api/v1/budget-categories/

Example URI

PUT /research-common/api/v1/budget-categories/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "budgetCategoryTypeCode": "(val)",
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetCategoryTypeCode": "(val)",
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Budget Categories
PATCH/research-common/api/v1/budget-categories/(key)

Example URI

PATCH /research-common/api/v1/budget-categories/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "budgetCategoryTypeCode": "(val)",
  "code": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Budget Categories
POST/research-common/api/v1/budget-categories/

Example URI

POST /research-common/api/v1/budget-categories/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "budgetCategoryTypeCode": "(val)",
  "code": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Budget Categories
POST/research-common/api/v1/budget-categories/

Example URI

POST /research-common/api/v1/budget-categories/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "budgetCategoryTypeCode": "(val)",
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetCategoryTypeCode": "(val)",
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "budgetCategoryTypeCode": "(val)",
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetCategoryTypeCode": "(val)",
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Budget Categories by Key
DELETE/research-common/api/v1/budget-categories/(key)

Example URI

DELETE /research-common/api/v1/budget-categories/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Categories
DELETE/research-common/api/v1/budget-categories/

Example URI

DELETE /research-common/api/v1/budget-categories/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Budget Categories with Matching
DELETE/research-common/api/v1/budget-categories/

Example URI

DELETE /research-common/api/v1/budget-categories/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

budgetCategoryTypeCode
string (optional) 

Category Type. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

code
string (optional) 

Budget Category Code. Maximum length is 3. Validating pattern is ^[0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Budget Category Mappings

Get Budget Category Mappings by Key
GET/research-common/api/v1/budget-category-mappings/(key)

Example URI

GET /research-common/api/v1/budget-category-mappings/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "budgetCategoryCode": "(val)",
  "mappingName": "(val)",
  "targetCategoryCode": "(val)",
  "_primaryKey": "(val)"
}

Get All Budget Category Mappings
GET/research-common/api/v1/budget-category-mappings/

Example URI

GET /research-common/api/v1/budget-category-mappings/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "budgetCategoryCode": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetCategoryCode": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Budget Category Mappings with Filtering
GET/research-common/api/v1/budget-category-mappings/

Example URI

GET /research-common/api/v1/budget-category-mappings/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

budgetCategoryCode
string (optional) 

Budget Category Code. Maximum length is 3. Validating pattern is ^[0-9]*$.

mappingName
string (optional) 

Mapping Name. Maximum length is 100. Validating pattern is ^[\p{Graph}\p{Space}]*$.

targetCategoryCode
string (optional) 

Target Category Code. Maximum length is 15. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "budgetCategoryCode": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetCategoryCode": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Budget Category Mappings
GET/research-common/api/v1/budget-category-mappings/

Example URI

GET /research-common/api/v1/budget-category-mappings/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "budgetCategoryCode",
    "mappingName",
    "targetCategoryCode"
  ],
  "primaryKey": "budgetCategoryCode:mappingName:targetCategoryCode"
}

Get Blueprint API specification for Budget Category Mappings
GET/research-common/api/v1/budget-category-mappings/

Example URI

GET /research-common/api/v1/budget-category-mappings/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Category Mappings.md"
transfer-encoding: chunked

Update Budget Category Mappings
PUT/research-common/api/v1/budget-category-mappings/(key)

Example URI

PUT /research-common/api/v1/budget-category-mappings/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "budgetCategoryCode": "(val)",
  "mappingName": "(val)",
  "targetCategoryCode": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Budget Category Mappings
PUT/research-common/api/v1/budget-category-mappings/

Example URI

PUT /research-common/api/v1/budget-category-mappings/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "budgetCategoryCode": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetCategoryCode": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Budget Category Mappings
PATCH/research-common/api/v1/budget-category-mappings/(key)

Example URI

PATCH /research-common/api/v1/budget-category-mappings/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "budgetCategoryCode": "(val)",
  "mappingName": "(val)",
  "targetCategoryCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Budget Category Mappings
POST/research-common/api/v1/budget-category-mappings/

Example URI

POST /research-common/api/v1/budget-category-mappings/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "budgetCategoryCode": "(val)",
  "mappingName": "(val)",
  "targetCategoryCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Budget Category Mappings
POST/research-common/api/v1/budget-category-mappings/

Example URI

POST /research-common/api/v1/budget-category-mappings/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "budgetCategoryCode": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetCategoryCode": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "budgetCategoryCode": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetCategoryCode": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Budget Category Mappings by Key
DELETE/research-common/api/v1/budget-category-mappings/(key)

Example URI

DELETE /research-common/api/v1/budget-category-mappings/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Category Mappings
DELETE/research-common/api/v1/budget-category-mappings/

Example URI

DELETE /research-common/api/v1/budget-category-mappings/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Budget Category Mappings with Matching
DELETE/research-common/api/v1/budget-category-mappings/

Example URI

DELETE /research-common/api/v1/budget-category-mappings/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

budgetCategoryCode
string (optional) 

Budget Category Code. Maximum length is 3. Validating pattern is ^[0-9]*$.

mappingName
string (optional) 

Mapping Name. Maximum length is 100. Validating pattern is ^[\p{Graph}\p{Space}]*$.

targetCategoryCode
string (optional) 

Target Category Code. Maximum length is 15. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Budget Category Maps

Get Budget Category Maps by Key
GET/research-common/api/v1/budget-category-maps/(key)

Example URI

GET /research-common/api/v1/budget-category-maps/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "categoryType": "(val)",
  "description": "(val)",
  "mappingName": "(val)",
  "targetCategoryCode": "(val)",
  "_primaryKey": "(val)"
}

Get All Budget Category Maps
GET/research-common/api/v1/budget-category-maps/

Example URI

GET /research-common/api/v1/budget-category-maps/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "categoryType": "(val)",
    "description": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "categoryType": "(val)",
    "description": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Budget Category Maps with Filtering
GET/research-common/api/v1/budget-category-maps/

Example URI

GET /research-common/api/v1/budget-category-maps/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

categoryType
string (optional) 

Category Type. Maximum length is 200. Validating pattern is ^[\p{Graph}]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

mappingName
string (optional) 

Mapping Name. Maximum length is 100. Validating pattern is ^[\p{Graph}\p{Space}]*$.

targetCategoryCode
string (optional) 

Target Category Code. Maximum length is 15. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "categoryType": "(val)",
    "description": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "categoryType": "(val)",
    "description": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Budget Category Maps
GET/research-common/api/v1/budget-category-maps/

Example URI

GET /research-common/api/v1/budget-category-maps/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "categoryType",
    "description",
    "mappingName",
    "targetCategoryCode"
  ],
  "primaryKey": "mappingName:targetCategoryCode"
}

Get Blueprint API specification for Budget Category Maps
GET/research-common/api/v1/budget-category-maps/

Example URI

GET /research-common/api/v1/budget-category-maps/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Category Maps.md"
transfer-encoding: chunked

Update Budget Category Maps
PUT/research-common/api/v1/budget-category-maps/(key)

Example URI

PUT /research-common/api/v1/budget-category-maps/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "categoryType": "(val)",
  "description": "(val)",
  "mappingName": "(val)",
  "targetCategoryCode": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Budget Category Maps
PUT/research-common/api/v1/budget-category-maps/

Example URI

PUT /research-common/api/v1/budget-category-maps/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "categoryType": "(val)",
    "description": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "categoryType": "(val)",
    "description": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Budget Category Maps
PATCH/research-common/api/v1/budget-category-maps/(key)

Example URI

PATCH /research-common/api/v1/budget-category-maps/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "categoryType": "(val)",
  "description": "(val)",
  "mappingName": "(val)",
  "targetCategoryCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Budget Category Maps
POST/research-common/api/v1/budget-category-maps/

Example URI

POST /research-common/api/v1/budget-category-maps/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "categoryType": "(val)",
  "description": "(val)",
  "mappingName": "(val)",
  "targetCategoryCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Budget Category Maps
POST/research-common/api/v1/budget-category-maps/

Example URI

POST /research-common/api/v1/budget-category-maps/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "categoryType": "(val)",
    "description": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "categoryType": "(val)",
    "description": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "categoryType": "(val)",
    "description": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "categoryType": "(val)",
    "description": "(val)",
    "mappingName": "(val)",
    "targetCategoryCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Budget Category Maps by Key
DELETE/research-common/api/v1/budget-category-maps/(key)

Example URI

DELETE /research-common/api/v1/budget-category-maps/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Category Maps
DELETE/research-common/api/v1/budget-category-maps/

Example URI

DELETE /research-common/api/v1/budget-category-maps/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

[...]
